openmemory
Docs
Dreaming

Start a dream now

POST
/v1/dream

Runs housekeeping (expired, stale, and duplicate facts; expired actions and KV) immediately. Then, in client mode, waits for you to fetch the job and submit your model's result; in server mode, runs the model here.

Authorization

headerAuthorizationBearer <token>

Your space key (om_...). Create one with POST /v1/spaces.

Request Body

application/json
  1. body
mode?DreamMode
Value in"client""server""off"

Response Body

The run

application/json
  1. response
id*string
mode*string
status*string

running | awaiting_client | done | failed | undone | abandoned

report*
started_at*string
finished_at*string|null
Example Request
curl -X POST 'https://api.openmemory.sh/v1/dream' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "string",  "mode": "string",  "status": "string",  "report": {    "property1": null,    "property2": null  },  "started_at": "string",  "finished_at": "string"}